function aproxPath = pathProject(warpPath,pcens2,pcens1)

aproxPath = [];
l1 = length(pcens1);
l2 = length(pcens2);

for n = 1:length(warpPath)
   
    
   if warpPath(n,1) > l2
       warpPath(n,1) = l2;
   end    
   
   if warpPath(n,2) > l1
       warpPath(n,2) = l1;
   end    
    
end    



for n = 1:length(warpPath)-1
    
        
    [m, l] = bresenham(warpPath(n,1),warpPath(n,2),warpPath(n+1,1),...
        warpPath(n+1,2));
    
    
    
    data = [m(1:end-1) l(1:end-1)];
       
    aproxPath = [aproxPath;data];

end    

aproxPath = [aproxPath;[l2 l1]];

end

